Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 681834 (CVE-2018-18506, CVE-2019-9788, CVE-2019-9790, CVE-2019-9791, CVE-2019-9792, CVE-2019-9793, CVE-2019-9795, CVE-2019-9796, CVE-2019-9810, CVE-2019-9813, MFSA-2019-11, MFSA-2019-12)

Summary: <mail-client/thunderbird{,-bin}-60.6.1: multiple vulnerabilities (MFSA-{2019-11,2019-12})
Product: Gentoo Security Reporter: GLSAMaker/CVETool Bot <glsamaker>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: mozilla
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://www.mozilla.org/en-US/security/advisories/mfsa2019-12/
Whiteboard: A2 [glsa+ cve]
Package list:
mail-client/thunderbird-60.6.1
Runtime testing required: ---

Description GLSAMaker/CVETool Bot gentoo-dev 2019-03-27 07:58:08 UTC
Incoming details.
Comment 1 Thomas Deutschmann gentoo-dev Security 2019-03-27 08:00:32 UTC
CVE-2019-9810: IonMonkey MArraySlice has incorrect alias information

Impact
    critical

Description

Incorrect alias information in IonMonkey JIT compiler for Array.prototype.slice method may lead to missing bounds check and a buffer overflow.


CVE-2019-9813: Ionmonkey type confusion with __proto__ mutations

Impact
    critical

Description

Incorrect handling of __proto__ mutations may lead to type confusion in IonMonkey JIT code and can be leveraged for arbitrary memory read and write.
Comment 2 Thomas Deutschmann gentoo-dev Security 2019-03-27 08:04:36 UTC
CVE-2019-9790: Use-after-free when removing in-use DOM elements

Impact
    critical

Description

A use-after-free vulnerability can occur when a raw pointer to a DOM element on a page is obtained using JavaScript and the element is then removed while still in use. This results in a potentially exploitable crash.


CVE-2019-9791: Type inference is incorrect for constructors entered through on-stack replacement with IonMonkey

Impact
    critical

Description

The type inference system allows the compilation of functions that can cause type confusions between arbitrary objects when compiled through the IonMonkey just-in-time (JIT) compiler and when the constructor function is entered through on-stack replacement (OSR). This allows for possible arbitrary reading and writing of objects during an exploitable crash.


CVE-2019-9792: IonMonkey leaks JS_OPTIMIZED_OUT magic value to script

Impact
    critical

Description

The IonMonkey just-in-time (JIT) compiler can leak an internal JS_OPTIMIZED_OUT magic value to the running script during a bailout. This magic value can then be used by JavaScript to achieve memory corruption, which results in a potentially exploitable crash.


CVE-2019-9793: Improper bounds checks when Spectre mitigations are disabled

Impact
    high

Description

A mechanism was discovered that removes some bounds checking for string, array, or typed array accesses if Spectre mitigations have been disabled. This vulnerability could allow an attacker to create an arbitrary value in compiled JavaScript, for which the range analysis will infer a fully controlled, incorrect range in circumstances where users have explicitly disabled Spectre mitigations.
Note: Spectre mitigations are currently enabled for all users by default settings.


CVE-2019-9795: Type-confusion in IonMonkey JIT compiler

Impact
    high

Description

A vulnerability where type-confusion in the IonMonkey just-in-time (JIT) compiler could potentially be used by malicious JavaScript to trigger a potentially exploitable crash.


CVE-2019-9796: Use-after-free with SMIL animation controller

Impact
    high

Description

A use-after-free vulnerability can occur when the SMIL animation controller incorrectly registers with the refresh driver twice when only a single registration is expected. When a registration is later freed with the removal of the animation controller element, the refresh driver incorrectly leaves a dangling pointer to the driver's observer array.


CVE-2018-18506: Proxy Auto-Configuration file can define localhost access to be proxied

Impact
    moderate

Description

When proxy auto-detection is enabled, if a web server serves a Proxy Auto-Configuration (PAC) file or if a PAC file is loaded locally, this PAC file can specify that requests to the localhost are to be sent through the proxy to another server. This behavior is disallowed by default when a proxy is manually configured, but when enabled could allow for attacks on services and tools that bind to the localhost for networked behavior if they are accessed through browsing.


CVE-2019-9788: Memory safety bugs fixed in Firefox 66, Firefox ESR 60.6, and Thunderbird 60.6

Impact
    critical

Description

Mozilla developers and community members Bob Clary, Chun-Min Chang, Aral Yaman, Andreea Pavel, Jonathan Kew, Gary Kwong, Alex Gaynor, Masayuki Nakano, and Anne van Kesteren reported memory safety bugs present in Firefox 65, Firefox ESR 60.5, and Thunderbird 60.5. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.
Comment 3 Thomas Deutschmann gentoo-dev Security 2019-03-27 23:46:55 UTC
x86 stable
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-03-28 06:59:23 UTC
amd64 stable
Comment 5 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-03-28 15:02:36 UTC
@mozilla, please drop the vulnerable.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2019-04-02 04:34:10 UTC
This issue was resolved and addressed in
 GLSA 201904-07 at https://security.gentoo.org/glsa/201904-07
by GLSA coordinator Aaron Bauman (b-man).
Comment 7 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-04-02 04:34:53 UTC
re-opened for cleanup
Comment 8 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-04-04 19:30:45 UTC
tree is clean